Quassel IRC - Bug #1175

Bundled Quassel does not support HiDPI
06/29/2012 11:50 PM - Bruun

Status: Resolved Start date: 06/29/2012
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version:

Version: 0.8-pre 0S: Mac OS X
Description

The current Quassel Mac bundle does not look good when running on the new Macbook with Retina (HiDPI) display.

A simple solution was found here: http:/www.mail-archive.com/development@aqt-project.org/msg04396.html

Add the following to the Info.plist:

<key>NSPrincipalClass</key>
<string>NSApplication</string>

Tested and confirmed working on OS X Lion 10.7.4 on 0.8.0-7-g13a63e4

Associated revisions

Revision 0af6db0626005107ab7944fa7d3ef63d48bbadf2 - 07/07/2012 12:35 PM - Marcus Eggenberger
Fixes #1175

Revision 0af6db06 - 07/07/2012 12:35 PM - Marcus Eggenberger
Fixes #1175

History

#1 - 06/29/2012 11:57 PM - Bruun
- File no-retina.png added
- File retina.png added

Added screenshots of the current and fixed version for comparison.

#2 - 07/07/2012 03:13 PM - EgS
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset 0af6db0626005107ab7944fa7d3ef63d48bba9f2.

Files

no-retina.png 90.6 KB 06/29/2012 Bruun

retina.png 134 KB 06/29/2012 Bruun
